import { _decorator, Component, EditBox, Node, Toggle } from 'cc';
import { event_item_more_scene_is_show_arrow_event } from '../../../data/data';
const { ccclass, property } = _decorator;

@ccclass('event_more_scene_is_show_arrow_event')
export class event_more_scene_is_show_arrow_event extends Component {
    @property(Node) showNode:Node = null;
    private m_data:event_item_more_scene_is_show_arrow_event = null;
    start() {
        this.showNode.on(Toggle.EventType.TOGGLE, ()=> {
            this.m_data.is_show = this.showNode.getComponent(Toggle).isChecked
        })
    }

    initView(data:event_item_more_scene_is_show_arrow_event) {
        this.m_data = data
        this.showNode.getComponent(Toggle).isChecked = data.is_show
    }

}

